'''
run.py to create softmodSculpt UI in Maya

Copyright: www.rig-it.net (c)2021

CAUTION:
Use this tool at your own risk. Skuld s.r.o. and its services RIG-IT take no responsibility
for any damage caused by using this tool
'''


from PySide2 import QtCore, QtGui, QtWidgets
from PySide2.QtCore import *
from PySide2.QtGui import *


import maya.cmds as mc
import maya.mel as mel

from qtUI import Ui_softmodsculpt
import setup
import exportSetup

class autoBuildWindow( QtWidgets.QMainWindow, Ui_softmodsculpt ):
    
    # run designer-qt45 in shell to open QtDesigner to edit UI
    
    def __init__( self, parent = None ):
        QtWidgets.QMainWindow.__init__( self )
        self.setupUi( self )
        
    def make( self ):
        
        edgesel = mc.ls( sl = 1, fl = 1 )
        setup.make( edgesel, prefix = 'softmodSculpt' )
        
    def addgeo( self ):
        
        setup.addRemGeoFromSculpt( mc.ls( sl = 1 )[1:], mc.ls( sl = 1 )[0], mode = 'add' )
    
    def remgeo( self ):
        
        setup.addRemGeoFromSculpt( mc.ls( sl = 1 )[1:], mc.ls( sl = 1 )[0], mode = 'remove' )
    
    def exportSetup( self ):
        
        filepath = exportSetup.exportSetup()[0]

        # give user notification
        confirmed = 'Ok'
        canceled = 'Cancel'
        userInput = mc.confirmDialog( 
                                    title = 'Export Softmod Setup',
                                    message = 'Done! Stored to file:\n%s' % filepath,
                                    button = [ confirmed ],
                                    defaultButton = confirmed,
                                    dismissString = canceled
                                    )
    
    def importSetup( self ):
        
        # raise warning first
        confirmed = 'Yes'
        canceled = 'No'
        userInput = mc.confirmDialog( 
                                    title = 'Import Softmod Setup',
                                    message = 'This will delete all existing Softmod Setups in scene, is it ok?',
                                    button = [ confirmed, canceled ],
                                    defaultButton = confirmed,
                                    cancelButton = canceled,
                                    dismissString = canceled
                                    )

        if userInput == canceled:

            return

        exportSetup.deleteSetupInScene()
        exportSetup.importSetup()
    
    def deleteControls( self ):
        
        setup.deleteControls()


def showWin():
    
    global autoBuildWin
    autoBuildWin = autoBuildWindow()
    autoBuildWin.show()
