'''
functions supporting mesh objects at rigitAnimTools.utils
@category Rigging @subcategory Utils
@tags mesh geometry uv map uvs vertex face edge
@author jakub
'''

import maya.cmds as mc

def checkUVsOverlap( meshObj ):

    """
    check if any UVs overlap on given mesh object

    @param meshObj: str, mesh transform
    @return: bool, False if no UVs overlap
    """

    allfaces = mc.ls(meshObj + '.f[*]')
    overlapFaces = mc.polyUVOverlap(allfaces, overlappingComponents=True)

    if overlapFaces:
        return True
    