'''
visibility in rigitAnimTools.utils
@category Rigging @subcategory Utils
@tags visibility vis visible hidden
@author jakub
'''

import maya.cmds as mc

from . import transform

def test( objName ):
    
    """
    test transform object visibility
    
    @param objName: str, name of transform object to test if its visible
    @return: bool, 0- object not visible, 1- object visible
    """
    
    visValue = mc.getAttr( objName + '.v' )
    
    # with visibility zero, it is obvious object is hidden
    if visValue == 0:
        
        return 0
    
    allParents = transform.getParentList( objName )
    
    allParentsVisible = True
    for p in allParents:
        
        visValue = mc.getAttr( p + '.v' )
        
        if visValue == 0:
            
            allParentsVisible = False
    
    return allParentsVisible